cls
echo 免责申明：
echo.
echo 因为Magisk的特殊性所以本页一键ROOT功能，必须对方设备已解锁BL，否则变砖警告！
echo.
echo.
echo 如果您先前从未听说过「软变砖」或「无限重启」, 又或者您不知道如何从这些情况中恢复手机, 那么请不要使用一键ROOT功能
echo.
echo.
echo 无论如何, 都强烈建议您做好近期的数据备份，并自备完整ROM卡刷/线刷包或原boot.img救砖
echo.
echo.
echo 一旦使用了功能则代表您已阅读风险，出现的一切后果，请自行承担风险，与本人无关
pause
cls

echo.
echo.
echo.
echo %t%一键ROOT%t%
echo.
echo 0.回到主菜单
echo 1.rec/TWRP模式下刷入magisk.zip方式           2.ADB  Sideload线刷magisk.zip方式           3.修补boot方式
call bat\menu.bat r 3
